<?php
if (isset($_POST)) {
	include('geshi.php');

	$source = stripslashes( $_POST['source'] );
	$lang = $_POST['lang'];
	$path = 'geshi/';

	$geshi = new GeSHi($source, $lang, $path);
	
	if ($_POST['css_classes'] == 1) {
		$geshi->enable_classes();
		$styles = '<style type="text/css"><!--';
		$styles .= $geshi->get_stylesheet();
		$styles .= '	--></style>';
	} else {
		$style = NULL;
	}
	
	switch ($_POST['code_container']) {
		case 1:
			$geshi->set_header_type(GESHI_HEADER_NONE);
			break;
			
		case 2:
			$geshi->set_header_type(GESHI_HEADER_PRE);
			break;
			
		case 3:
			$geshi->set_header_type(GESHI_HEADER_DIV);
			break;
	}

	//$geshi->set_overall_style('font-size:12px;',true);
	
	if ($styles) echo $styles;
	
	if (is_numeric($_POST['tabwidth'])) {
		$geshi->set_tab_width($_POST['tabwidth']);
	}
	
	$output = "";
	$firstline = $_POST['firstline'];
	if (firstline == "") {
		switch ($_POST['linenum']) {
			case 1:
				$geshi->enable_line_numbers(GESHI_NO_LINE_NUMBERS);
				break;
				
			case 2:
				$geshi->enable_line_numbers(GESHI_NORMAL_LINE_NUMBERS);
				break;
				
			case 3:
				$geshi->enable_line_numbers(GESHI_FANCY_LINE_NUMBERS);
				break;
		}
		$output .= $geshi->parse_code();
	} else {
		$line_count = count(explode("\n", $source));
		$numbers = "<pre>";
		for ($i = 0; $i < $line_count; $i++)
		{
			$numbers .= ($firstline + $i) . "\n";
		}
		$numbers .= "</pre>";
		$output .= "<div class=\"syntax\"><table><tr><td class=\"line_numbers\">";
        $output .= $numbers;
        $output .= "</td><td class=\"code\">";
        $output .= $geshi->parse_code();
        $output .= "</td></tr></table></div>";
	}
	
	echo $output;
	
}

?>